<div class="modal is-active">
  <div class="modal-background" (click)="hideCommitsModalEvent()"></div>
  <div class="modal-card">

    <header class="modal-card-head">
      <p class="modal-card-title"><span *ngIf="contributorName; else allBloc">{{ contributorName }}'s</span><ng-template #allBloc>All</ng-template> commits<span *ngIf="startDate && endDate"> from {{ startDate }} to {{ endDate }}</span></p>
      <button class="delete" aria-label="close" (click)="hideCommitsModalEvent()"></button>
    </header>

    <section class="modal-card-body">
      <div *ngFor="let commit of commits" class="box">
        <div class="columns">
          <div class="column">
            <p><b class="has-text-primary">Title : </b>{{ commit.title }}</p>
          </div>
        </div>
        <div class="columns">
          <div class="column">
            <p><small><b class="has-text-primary">Author email : </b>{{ commit.authorEmail }}</small></p>
          </div>
          <div class="column">
            <p><small><b class="has-text-primary">Created at : </b><span [textContent]="commitDateToLocalDateString(commit.createdAt)"></span></small></p>
          </div>
        </div>
      </div>
    </section>

    <footer class="modal-card-foot">
      <button class="button" (click)="hideCommitsModalEvent()">Close</button>
    </footer>
  </div>
</div>
